givintfactor.h File Reference

factorisation More...

`#include <iostream>`
`#include "givaro/givinteger.h"`
`#include "givaro/givintprime.h"`
`#include "givaro/givrandom.h"`
`#include "givaro/givintfactor.inl"`
Include dependency graph for givintfactor.h:

## Data Structures

class | IntFactorDom< MyRandIter >
| Integer Factor Domain. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

factorisation

- Prime numbers
  - Factor sets :
  - Pollard's rho method for factorization
  - Elliptic curves factorization by Lenstra